{
  "schema_version": "1.4.0",
  "id": "GHSA-jvw4-xfqp-q5qh",
  "modified": "2024-02-08T03:32:44Z",
  "published": "2022-05-01T23:58:42Z",
  "aliases": [
    "CVE-2008-3282"
  ],
  "details": "Integer overflow in the rtl_allocateMemory function in sal/rtl/source/alloc_global.c in the memory allocator in OpenOffice.org (OOo) 2.4.1, on 64-bit platforms, allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted document, related to a \"numeric truncation error,\" a different vulnerability than CVE-2008-2152.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-3282"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=455867"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=458056"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/44742"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11345"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00120.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-September/msg00494.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31640"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31646"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31778"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1020764"
    },
    {
      "type": "WEB",
      "url": "http://www.openoffice.org/issues/show_bug.cgi?id=92217"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0835.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/30866"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2449"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-681"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-08-29T18:41:00Z"
  }
}